// Generator version : v3.1
// Generation time   : 2024.12.07 08:59:44
// DBC filename      : DMK-RP-01_CAN_V0.1_20241118.dbc
#include "canmatrix-fmon.h"

#ifdef CANMATRIX_USE_DIAG_MONITORS

/*
Put the monitor function content here, keep in mind -
next generation will completely clear all manually added code (!)
*/

#ifdef CANMATRIX_USE_MONO_FMON

void _FMon_MONO_canmatrix(FrameMonitor_t* _mon, uint32_t msgid)
{
  (void)_mon;
  (void)msgid;
}

#else

void _FMon_Panel_Key_canmatrix(FrameMonitor_t* _mon, uint32_t msgid)
{
  (void)_mon;
  (void)msgid;
}

void _FMon_SCM_STATE_canmatrix(FrameMonitor_t* _mon, uint32_t msgid)
{
  (void)_mon;
  (void)msgid;
}

void _FMon_SCM_DEBUG1_canmatrix(FrameMonitor_t* _mon, uint32_t msgid)
{
  (void)_mon;
  (void)msgid;
}

void _FMon_SCM_DEBUG2_canmatrix(FrameMonitor_t* _mon, uint32_t msgid)
{
  (void)_mon;
  (void)msgid;
}

void _FMon_SCM_DEBUG3_canmatrix(FrameMonitor_t* _mon, uint32_t msgid)
{
  (void)_mon;
  (void)msgid;
}

void _FMon_SCM_DEBUG4_canmatrix(FrameMonitor_t* _mon, uint32_t msgid)
{
  (void)_mon;
  (void)msgid;
}

void _FMon_SCM_DEBUG5_canmatrix(FrameMonitor_t* _mon, uint32_t msgid)
{
  (void)_mon;
  (void)msgid;
}

void _FMon_SCM_DEBUG6_canmatrix(FrameMonitor_t* _mon, uint32_t msgid)
{
  (void)_mon;
  (void)msgid;
}

#endif // CANMATRIX_USE_MONO_FMON

#endif // CANMATRIX_USE_DIAG_MONITORS
